epp_ContactPhone (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.contact.epp_ContactPhone class

### org.openrtk.idl.epprtk.contact

# Class epp_ContactPhone

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.contact.epp_ContactPhone`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

Known Direct Subclasses:
  epp_ContactVoice

`public class epp_ContactPhone`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent contact's voice telephone number or facsimile telephone number. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/contact/epp_ContactPhone.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_ContactCreateReq`, `epp_ContactInfoRsp`, `epp_ContactUpdateChange`

  ## Field Summary
  `String` | `m_extension` The extension of the telephone number.
  `String` | `m_value` The contact's telephone number value.

  ## Constructor Summary
  `epp_ContactPhone()` Empty constructor
  `epp_ContactPhone(String _m_extension, String _m_value)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getExtension()` Accessor method for the extension of the telephone number
  `String` | `getValue()` Accessor method for the contact's telephone number value
  `void` | `setExtension(String value)` Accessor method for the extension of the telephone number
  `void` | `setValue(String value)` Accessor method for the contact's telephone number value
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_extension

    public String m_extension

> The extension of the telephone number.
> See Also:
>   `setExtension(String)`, `getExtension()`

### m_value

    public String m_value

> The contact's telephone number value.
> See Also:
>   `setValue(String)`, `getValue()`

## Constructor Details

### epp_ContactPhone

    public epp_ContactPhone()

> Empty constructor

### epp_ContactPhone

    public epp_ContactPhone(String _m_extension,
                            String _m_value)

> The constructor with initializing variables.
> Parameters:
>   `_m_extension` - The extension of the telephone number
>   `_m_value` - The contact's telephone number value

## Method Details

### getExtension

    public String getExtension()

> Accessor method for the extension of the telephone number
> Returns:
>   The extension of the telephone number
> See Also:
>   `m_extension`

### getValue

    public String getValue()

> Accessor method for the contact's telephone number value
> Returns:
>   The contact's telephone number value
> See Also:
>   `m_value`

### setExtension

    public void setExtension(String value)

> Accessor method for the extension of the telephone number
> Parameters:
>   `value` - The extension of the telephone number
> See Also:
>   `m_extension`

### setValue

    public void setValue(String value)

> Accessor method for the contact's telephone number value
> Parameters:
>   `value` - The contact's telephone number value
> See Also:
>   `m_value`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS